<?php

namespace Test\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ModuleTransformer extends TransformerAbstract
{
    public function transform(\Test\Test\Models\Module $module)
    {
        return [
            'id'                => $module->getRouteKey(),
            'key'               => [
                'public'    => $module->getPublicKey(),
                'route'     => $module->getRouteKey(),
            ], 
            'id'                => $module->id,
            'name'              => $module->name,
            'url'               => [
                'public'    => trans_url('test/'.$module->getPublicKey()),
                'user'      => guard_url('test/module/'.$module->getRouteKey()),
            ], 
            'status'            => trans('app.'.$module->status),
            'created_at'        => format_date($module->created_at),
            'updated_at'        => format_date($module->updated_at),
        ];
    }
}